Package org.apache.lucene.search

# Interface VectorScorer

public interface VectorScorer
Computes the similarity score between a given query vector and different document vectors. This is used for exact searching and scoring

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DocIdSetIterator`
  `iterator()`
  `float`
  `score()`
  Compute the score for the current document ID.

- ## Method Details

  - ### score

    float score() throws IOException
    Compute the score for the current document ID.
    Returns:
      the score for the current document ID
    Throws:
      `IOException` - if an exception occurs during score computation

  - ### iterator

    DocIdSetIterator iterator()
    Returns:
      a `DocIdSetIterator` over the documents.